#
# spec file for package gnome-control-center (Version 2.24.0.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gnome-control-center
%define _name control-center
BuildRequires:  desktop-file-utils docbook-xsl-stylesheets eel-devel
BuildRequires:  evolution-data-server-devel fdupes gnome-common
BuildRequires:  gnome-desktop-devel gnome-doc-utils-devel gnome-menus-devel
BuildRequires:  gnome-panel-devel gnome-patch-translation
BuildRequires:  gnome-settings-daemon-devel gstreamer010-plugins-base-devel
BuildRequires:  intltool libcanberra-devel libcanberra-gtk libglade2-devel
BuildRequires:  libgnomekbd-devel libidl librsvg-devel libxklavier-devel
BuildRequires:  metacity-devel nautilus-devel pam-devel perl-XML-Parser
BuildRequires:  scrollkeeper sgml-skel update-desktop-files xorg-x11
License:        GPL v2 or later
Group:          System/GUI/GNOME
Obsoletes:      fontilus themus acme
Provides:       fontilus themus acme
Version:        2.24.0.1
Release:        3.21.1
Summary:        The GNOME Control Center
Source:         gnome-%{_name}-%{version}.tar.bz2
Source1:        control-center-art.tar.bz2
Source2:        fontilus.xml
Source3:        change-password.png
Source4:        permissions.tar.bz2
# PATCH-FIX-UPSTREAM gnome-control-center-bnc427745-force-dpi.patch bnc427745 bgo553652 vuntz@novell.com -- Force the DPI to 96 right now to avoid big fonts.
Patch1:         gnome-control-center-bnc427745-force-dpi.patch
# PATCH-NEEDS-REBASE gnome-control-center-desktop.patch
Patch3:         gnome-control-center-desktop.patch
# PATCH-FIX-OPENSUSE gnome-control-center-backout-309558.patch bgo309558
Patch6:         gnome-control-center-backout-309558.patch
# PATCH-FEATURE-OPENSUSE gnome-control-center-passwd-dialog.patch
Patch8:         gnome-control-center-passwd-dialog.patch
# PATCH-FIX-OPENSUSE gnome-control-center-docpath.patch
Patch13:        gnome-control-center-docpath.patch
# PATCH-FIX-UPSTREAM gnome-control-center-system-proxy-configuration.patch -- this needs to be reimplemented to be more distro-generic before submitting upstream - docs at http://en.opensuse.org/GNOME/Proxy_configuration
Patch14:        gnome-control-center-system-proxy-configuration.patch
# PATCH-FEATURE-OPENSUSE gnome-control-center-use-settings-menu.patch
Patch28:        gnome-control-center-use-settings-menu.patch
# PATCH-FIX-OPENSUSE gnome-control-center-bnc373197-layout-switch-keybinding.patch bnc373197 vuntz@novell.com -- this is a temporary hack to change the default layout switching keybinding
Patch30:        gnome-control-center-bnc373197-layout-switch-keybinding.patch
# PATCH-FIX-UPSTREAM gnome-control-center-randr-gerror.diff bnc381030 bnc450141 bnc433939 bgo551566 - Various usability fixes for the display capplet
Patch31:        gnome-control-center-randr-gerror.diff
# PATCH-FEATURE-OPENSUSE gnome-control-center-bnc461755-randr-rotate-wacom.diff bnc461755 federico@novell.com - Add the option of rotating a Wacom tablet when rotating the monitor with RANDR
Patch32:        gnome-control-center-bnc461755-randr-rotate-wacom.diff
# PATCH-FIX-UPSTREAM gnome-control-center-bnc434729-randr-realign-outputs-after-resolution-change.diff bnc434729 federico@novell.com - When changing an output's resolution, the rest of the outputs need to be realigned.
Patch33:        gnome-control-center-bnc434729-randr-realign-outputs-after-resolution-change.diff
# PATCH-FIX-UPSTREAM gnome-control-center-bnc472226-randr-dont-block-gui.diff bnc472226 federico@novell.com - Don't block the display capplet's GUI while applying RANDR configurations
Patch34:        gnome-control-center-bnc472226-randr-dont-block-gui.diff
# PATCH-FIX-UPSTREAM gnome-control-center-bnc457772-bgo574865-randr-dangling-pointer.diff bnc457772 bgo574865 federico@novell.com - Fix crash when the RANDR configuration is updated
Patch35:        gnome-control-center-bnc457772-bgo574865-randr-dangling-pointer.diff
# PATCH-FIX-UPSTREAM gnome-control-center-bnc486019-confirmation-dialog-transient.diff bnc486019 federico@novell.com - Make the RANDR confirmation dialog not appear below its parent window
Patch36:        gnome-control-center-bnc486019-confirmation-dialog-transient.diff
# PATCH-FIX-UPSTREAM gnome-control-center-bnc486093-create-backup-file.diff bnc486093 - Ensure there will be a backup file before saving the new RANDR configuration
Patch37:        gnome-control-center-bnc486093-create-backup-file.diff
Url:            http://www.gnome.org
Requires:       nautilus gnome-settings-daemon gnome-menus libcanberra-gtk
Requires:       %{name}-lang = %{version}
PreReq:         permissions
%if %suse_version > 1000
Recommends:     gnome-audio
%else
Requires:       gnome-audio
%endif
Provides:       control-center2 = 2.22.1
Obsoletes:      control-center2 <= 2.22.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    on
%gconf_schemas_prereq

%description
This package contains the control center for the GNOME 2.x Desktop.



Authors:
--------
    Jonathan Blandford <jrb@redhat.com>

%package devel
License:        GPL v2 or later
Summary:        Header files for the GNOME Control Center
Group:          System/GUI/GNOME
AutoReqProv:    on
Requires:       %{name} = %{version} dbus-1-devel glib2-devel gtk2-devel libgnomeui-devel gnome-desktop-devel gnome-menus-devel gnome-panel-devel libglade2-devel librsvg-devel pango-devel
%if %suse_version > 1010
Requires:       dbus-1-glib-devel
%else
Requires:       dbus-1-devel dbus-1-glib
%endif
Provides:       control-center2-devel = 2.22.1
Obsoletes:      control-center2-devel <= 2.22.1

%description devel
This package contains the control center for the GNOME 2.x Desktop.



Authors:
--------
    Jonathan Blandford <jrb@redhat.com>

%lang_package
%prep
%setup -q -n gnome-%{_name}-%{version} -a 1 -b 4
gnome-patch-translation-prepare
#%patch3 -p1
%patch6
%patch8 -p1
%patch13
%patch14 -p1
cp %{S:3} capplets/passwd/change-password.png
%patch28
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
gnome-patch-translation-update

%build
autoreconf -f -i
# needed for control-center-2.16.1:
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure\
	--libexecdir=%{_prefix}/lib/control-center-2.0\
	--disable-static\
	--disable-scrollkeeper\
	--disable-update-mimedb
make %{?jobs:-j%jobs}

%install
%makeinstall
# DESTDIR=$RPM_BUILD_ROOT mime-info-to-mime
# oh dear
mv $RPM_BUILD_ROOT/%{_datadir}/pkgconfig/gnome-keybindings.pc $RPM_BUILD_ROOT/%{_libdir}/pkgconfig
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime/packages
cp %{S:2} $RPM_BUILD_ROOT%{_datadir}/mime/packages
%suse_update_desktop_file -N "Control Center" -G "Personal Settings" -C "Configure the desktop" gnomecc DesktopSettings
# capplets
%suse_update_desktop_file at-properties X-SuSE-ControlCenter-Personal
### % # suse $ _update_desktop_file background X-SuSE-ControlCenter-LookAndFeel
%suse_update_desktop_file -D "user-guide/user-guide.xml?goscustdoc-2" default-applications X-SuSE-ControlCenter-System
%suse_update_desktop_file display-properties X-SuSE-ControlCenter-Hardware
### % # suse $ _update_desktop_file font-properties X-SuSE-ControlCenter-LookAndFeel
%suse_update_desktop_file gnome-passwd X-SuSE-ControlCenter-Personal
%suse_update_desktop_file gnome-settings-mouse X-SuSE-ControlCenter-Hardware
%suse_update_desktop_file gnome-settings-sound X-SuSE-ControlCenter-System
%suse_update_desktop_file gnome-network-preferences X-SuSE-ControlCenter-System
%suse_update_desktop_file gnome-appearance-properties X-SuSE-ControlCenter-LookAndFeel
### % # suse $ _update_desktop_file -D "user-guide/user-guide.xml?goscustuserinter-2" gnome-ui-properties X-SuSE-ControlCenter-LookAndFeel
### % # suse $ _update_desktop_file gtk-theme-selector X-SuSE-ControlCenter-LookAndFeel
%suse_update_desktop_file keybinding X-SuSE-ControlCenter-Personal
%suse_update_desktop_file keyboard X-SuSE-ControlCenter-Hardware
%suse_update_desktop_file window-properties X-SuSE-ControlCenter-LookAndFeel
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/mimeinfo.cache
#mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/display-capplet.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/
cp control-center-art/* $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/
%if %suse_version <= 1020
mkdir -p $RPM_BUILD_ROOT/etc/permissions.d
cp -a ../permissions/* $RPM_BUILD_ROOT/etc/permissions.d
%endif
%find_lang gnome-%{_name}-2.0
%find_gconf_schemas
cat %{name}.schemas_list >gnome-%{name}.lst
rm -f $RPM_BUILD_ROOT%{_libdir}/*/*.*a $RPM_BUILD_ROOT%{_libdir}/*/*/*.*a
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%post
/sbin/ldconfig
if test -x usr/bin/update-mime-database ; then
  usr/bin/update-mime-database usr/share/mime >/dev/null
fi
%run_permissions
%verifyscript
%verify_permissions -e %{_sbindir}/change-passwd
%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%postun
/sbin/ldconfig
if test -x usr/bin/update-mime-database ; then
  usr/bin/update-mime-database usr/share/mime >/dev/null
fi

%files -f gnome-%{name}.lst
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_sysconfdir}/xdg/autostart/*.desktop
%{_datadir}/applications/*.desktop
%{_datadir}/desktop-directories/*.directory
%{_datadir}/gnome/cursor-fonts
%dir %{_datadir}/gnome/help/control-center
%dir %{_datadir}/gnome/help/control-center/*
%{_datadir}/gnome/help/control-center/*/*.xml
%dir %{_datadir}/gnome-control-center/default-apps
%{_datadir}/gnome-control-center/default-apps/gnome-default-applications.xml
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%dir %{_datadir}/gnome-control-center/keybindings
%{_datadir}/gnome-control-center/keybindings/*.xml
%{_datadir}/mime/packages/*.xml
%{_datadir}/omf/control-center
%dir %{_datadir}/gnome-control-center
%dir %{_datadir}/gnome-control-center/glade
%{_datadir}/gnome-control-center/glade/*.glade
%dir %{_datadir}/gnome-control-center/pixmaps
%{_datadir}/gnome-control-center/pixmaps/*.png
%{_libdir}/*.so.*
#%{_libdir}/gnome-vfs-2.0/modules/*.so
#%{_libdir}/nautilus/extensions-2.0/*.so
%dir %{_libdir}/window-manager-settings
%{_libdir}/window-manager-settings/*.so
%verify (not mode) %attr (4755, root, root) %{_sbindir}/change-passwd
#%{_sysconfdir}/gnome-vfs-2.0/modules/*.conf
%{_sysconfdir}/xdg/menus/gnomecc.menu
%{_sysconfdir}/pam.d/gnome-passwd
%if %suse_version <= 1020
/etc/permissions.d/*
%endif

%files lang -f gnome-%{_name}-2.0.lang

%files devel
%defattr (-, root, root)
# %{_datadir}/idl/*.idl
%{_includedir}/gnome-window-settings-2.0
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_libdir}/pkgconfig/*.pc
%{_datadir}/pkgconfig/*.pc

%changelog
* Fri May 15 2009 federico@novell.com
- Added gnome-control-center-bnc486093-create-backup-file.diff to fix
  bnc#486093 - Fix restoration of the original RANDR configuration
  even during an initial login, when there is no monitors.xml to go
  back to.
- Added gnome-control-center-bnc486019-confirmation-dialog-transient.diff
  to fix bnc#486019 - the confirmation dialog for RANDR changes could
  appear under its parent window, making it hard to see.
- Added gnome-control-center-bnc457772-bgo574865-randr-dangling-pointer.diff
  to fix bnc#457772 - the Display Properties capplet could crash when
  plugging or unplugging a monitor and hitting the Apply button.
* Tue Feb 10 2009 federico@novell.com
- Added gnome-control-center-randr-gerror.diff.  This adds good error
  reporting when changing the multihead configuration, and fixes these
  bugs:
  bnc#381030 - Fix spacings in the display capplet's dialog, labels,
  and option grouping.
  bnc#450141 - Remove nonfunctioning Help button.
  bnc#433939 - Make it more obvious how to turn on a newly-detected
  monitor that is off.
  bgo#551566 - Fix incorrect repainting when resizing the capplet's
  dialog.
- Added gnome-control-center-bnc461755-randr-rotate-wacom.diff to fix
  bnc#461755 - Add the option of rotating Wacom tablets when the
  display is rotated.
- Added gnome-control-center-bnc434729-randr-realign-outputs-after-resolution-change.diff
  to fix bnc#434729 - after changing the resolution of one monitor,
  the rest of the monitors need to be realigned to the one that
  changed.  This prevents halfway-overlapping monitors in the final configuration.
- Added gnome-control-center-bnc472226-randr-dont-block-gui.diff to
  fix bnc#472226 - the GUI of the Display Properties capplet should
  not block while the monitor configuration is being applied.
* Wed Nov 12 2008 rodrigo@novell.com
- Add libcanberra-gtk to Requires to get sound events working (bnc#439054)
* Tue Nov  4 2008 vuntz@novell.com
- Move gnome-control-center-use-preferences-menu.patch to
  gnome-control-center-use-settings-menu.patch since we now use
  settings.menu.
* Fri Oct  3 2008 mboman@suse.de
- Update to version 2.24.0.1:
  + Fix newly-introduced crash in theme tab (bgo#553541)
* Fri Sep 26 2008 vuntz@novell.com
- Merge openSUSE:Factory and GNOME:Factory...
- Add gnome-control-center-bnc427745-force-dpi.patch to force the
  DPI to 96. This fixes huge fonts on login on recent laptops.
  Fixes bnc#427745.
* Tue Sep 23 2008 rodrigo@novell.com
- Update to version 2.24.0:
  + Accessibility:
  - Improve tooltip wording
  + Appearance:
  * when a hidden theme is selected, and therefore becomes visible,
    create a thumbnail for it (bgo#547301)
  * don't fail if the destination files already exist and the user tries
    to overwrite them (bgo#552671)
  * set GtkAdjustment page size to 0 to avoid roblems due to newly enforced
    value boundaries in GTK+ 2.14 (bgo#551740)
  + Common:
  * properly initialize the callback data (bgo#550263)
  + Default applications:
  * don't advertise startup-notify. The script doesn't support it (bgo#550694)
  * use a11y icon instead of searchtool (bgo#550742)
  + Display:
  * Use "Mirror Screens" instead of "Cloned Output" in the display of monitors,
    to be consistent with the corresponding checkbox from the Glade file
  * use theme colours for the background (bgo#545117)
  + Keybindings:
  * don't use the term "accelerator" in the UI (bgo#547276)
  + Keyboard:
  * chosing first variant by default (bgo#550722)
  * using the fact that latest libxklavier returns descriptions in UTF-8,
    no need to convert in 8-bit locales
  + Sound:
  * trying to print NULL strings crashes on Solaris (bgo#548586)
  * add context to event sound names (bgo#549489)
  + Updated translations
* Fri Sep 19 2008 rodrigo@novell.com
- Added dependency on libcanberra-*
- Sound capplet is built always (bnc#427748)
* Thu Sep 18 2008 sbrabec@suse.cz
- Dropped ftp:// and news:// patches (bnc#256090).
* Thu Sep  4 2008 mboman@novell.com
- Update to version 2.23.90:
  + Appearance:
  * Use default icon for unknown themes
  * Remove help button
  + Common:
  * Make sure we have a notification theme before trying to save it
    (bgo#547448)
  * Keep track of hidden themes (bgo#547301)
  * Require gnome-desktop 2.23.90
  + Display:
  * Draw rotated outputs rotated
  * Don't leak the application or the GladeXML
  * Replace all uses of g_print with g_debug
  * Fail gracefully if we cannot get a screen
  * Add sexy labels to identify monitors
  + Shell:
  * Remove eel dependency from libslab
  + Sound:
  * Fix warning due to left-over developer code (bgo#546583)
  * HIG fixes and improved wording (bgo#545219)
  * Make the event sound preview button listen to "activate" signal so it
    becomes accessible via keyboard (bgo#547808)
  + Translation updates
- Remove gnome-control-center-monitor-labeling.diff. Fixed upstream
* Thu Aug 28 2008 ro@suse.de
- fix build: sound settings are not being built at the moment
  (configure does not find CANBERRA)
  skip the update-desktop-file if it is not being installed
- vfs-methods have been removed, remove in filelist as well
* Wed Aug 20 2008 sbrabec@suse.cz
- Require gnome-menus - gnome-control-center binary requires
  /etc/xdg/menus/preferences.menu.
* Mon Aug 18 2008 federico@novell.com
- Updated gnome-control-center-monitor-labeling.diff so that it applies cleanly.
* Fri Aug 15 2008 federico@novell.com
- Added gnome-control-center-monitor-labeling.diff to implement
  labeling of physical monitors while their properties are being set
  in the Display capplet.
* Tue Aug  5 2008 rodrigo@suse.de
- Update to version 2.23.6:
  + Various fixes and improvements
  + Add freedesktop sound theme support
  + Updated translations
  + Updated randr 1.2 code
- Removed upstreamed randr1.2 patch
* Fri Jun 20 2008 maw@suse.de
- Update to version 2.23.4:
  + Various fixes and improvements
  + Drop the gnome-vfs dependency
  + Bugs fixed: bgo#309629, bgo#532893, bgo#317835, bgo#515078,
    bgo#526944, bgo#528196, bgo#519065, bgo#500276, bgo#524401,
    bgo#524401, bgo#511065, bgo#528196, bgo#524813, bgo#521826,
    bgo#529772, bgo#515078, bgo#527418, bgo#314883, bgo#523888,
    bgo#525530, bgo#529720, bgo#134595, and bgo#329503
  + Updated translations.
* Fri Jun 13 2008 federico@novell.com
- Updated gnome-control-center-system-proxy-configuration.patch to fix
  https://bugzilla.novell.com/show_bug.cgi?id=350513 - the widgets for
  manual proxy configuration were disabled at startup, even if Manual
  mode was selected in the user's configuration.
* Thu May 29 2008 federico@novell.com
- Updated gnome-control-center-randr-1.2.diff with the latest fixes from upstream.
* Tue May 13 2008 vuntz@suse.de
- Add gnome-control-center-bnc373197-layout-switch-keybinding.patch
  to change the default keyboard layout switching to
  Shift_L+Shift_R instead of Alt_L+Alt_R, which doesn't work at the
  moment. Helps with bnc#373197 for 11.0.
* Sat May  3 2008 coolo@suse.de
- Obsoleting older version not newer
* Fri Apr 25 2008 federico@novell.com
- Added gnome-control-center-randr-1.2.diff to integrate the new
  functionality to configure RandR 1.2.
* Mon Apr 14 2008 ro@suse.de
- added also provides for old name, not just obsoletes
* Mon Apr 14 2008 rodrigo@suse.de
- Renamed to gnome-control-center, like upstream
- Removed desktop-effects patch, moved to simple-ccsm
* Thu Apr 10 2008 maw@suse.de
- Update to version 2.22.1:
  + appearance:
  * Don't resize the font samples vertically when the window is
    resized (bgo#521823)
  * Fix warning when trying to drag an unselected item
    (bgo#523347)
  * Don't try to unref URIs if the theme package is invalid
    (bgo#524567)
  + common:
  * Fix a crash when schemas are not properly installed
    (bgo#520744)
  * Fix error handling in the thumbnailer (bgo#521009)
  * Actually check the cursor size before changing it in GConf
  + keybindings:
  * Remove debugging output
  * Stop widget accelerators from activating while the user is
    entering a new shortcut (bgo#313228)
  * Fix category headers not appearing properly in the treeview
    when using a non-UTF-8 locale (bgo#513988)
  + keyboard:
  * Don't crash when called for a drag with no selected items
    (bgo#523379)
  * Don't show the typing break tab if the typing monitor is
    not available (bgo#524034)
  + sound:
  * Use new tango icon (bgo#523916)
  * Don't show modems in the device chooser (bgo#523888)
  + themus:
  * Handle failed thumbnailing attempts properly
  + typing-break:
  * New Tango-style icons (bgo#523965)
  * Replace custom stop icon with gtk-stop stock icon
  + Updated translations.
* Mon Mar 31 2008 rodrigo@suse.de
- Added control-center2-desktop-effects.patch to add compiz
  activation GUI to the appearance capplet.
- Finish tagging of patches
* Thu Mar 13 2008 maw@suse.de
- Update to version 2.22.0:
  + about-me:
  * Fix misspelling of "palindrome" (bgo#519398)
  + common:
  * Port to GIO
  + keyboard:
  * Fix leaks and remove unnecessary casts
  + mouse:
  * Make the mouse orientation radio button usable with both
    mouse buttons
  + Updated translations.
* Thu Mar 13 2008 sbrabec@suse.cz
- Custom look'n'feel gconf keys moved to gconf2-branding-openSUSE.
* Tue Mar  4 2008 maw@suse.de
- Update to version 2.21.92:
  + http://ftp.acc.umu.se/pub/GNOME/sources/gnome-control-center/2.21/gnome-control-center-2.21.9[12].news.
* Mon Feb  4 2008 rodrigo@suse.de
- Added very much needed dependency for upcoming alpha on
  gnome-settings-daemon, a runtime dependency which is not being
  picked up in any pattern
* Fri Feb  1 2008 rodrigo@suse.de
- Update to version 2.21.90:
  * http://ftp.acc.umu.se/pub/GNOME/sources/gnome-control-center/2.21/gnome-control-center-2.21.90.news
- Re-enable gnome-patch*
* Wed Jan 30 2008 maw@suse.de
- Revert last change -- nautilus owns
  %%{_libdir}/nautilus/extensions-2.0 now.
* Tue Jan 29 2008 thoenig@suse.de
- Fix build:  Add %%dir %%{_libdir}/nautilus/extensions-2.0
* Tue Jan 29 2008 rodrigo@suse.de
- Updated to 2.21.5:
  * http://ftp.gnome.org/pub/GNOME/sources/gnome-control-center/2.21/gnome-control-center-2.21.5.news
- Disabled patches that need rebase
- Removed suse_update_desktop_file for no longer existing files.
- Removed gnome-settings-daemon related files
- Disable temporarily gnome-patch-translation*, since it's
  complaining about files removed upstream ??
* Tue Nov 20 2007 maw@suse.de
- Fix build.
* Tue Nov  6 2007 rodrigo@suse.de
- Added missing gtk_widget_set_sensitive call (#8785)
* Thu Nov  1 2007 sreeves@suse.de
- Fix for #298047 - remove reference to background.desktop
* Thu Oct 11 2007 sbrabec@suse.cz
- Removed bogus dependency on mDNSResponder.
* Mon Sep 17 2007 maw@suse.de
- Update to version 2.20.0:
  (Bug numbers in this entry are against bugzilla.gnome.org)
  + Appearance:
  * Correct translatable property value of "Save As" (#473810)
  * Don't set a fixed width for the toolbar button color label
    (#474317)
  * Add comment for translators (#473379)
  + General:
  * Fix building with Sun's Forte compiler (#473967)
  + Updated translations.
* Mon Sep 10 2007 maw@suse.de
- Update to version 2.19.92:
  + Appearance:
  * Leaks fixed
  * Use _prepend for lists instead of _append
  + Updated translations.
* Mon Sep 10 2007 rodrigo@suse.de
- Remove workaround for upstream bug already fixed (#223798)
* Wed Sep  5 2007 maw@suse.de
- Add control-center2-default-keybindings-thoenig-01.patch
  (#297640).
* Fri Aug 31 2007 maw@suse.de
- Update to version 2.19.91:
  (Bug numbers listed here are against bugzilla.gnome.org)
  + general:
  * Hide the password in displayed URIs when transfering files
    (#339551)
  + about-me:
  * Use g_get_user_special_dir() instead of hard-coding ~/Pictures
  * Honor mail address attributes when setting up Home and Work
    addresses
  + appearance:
  * Don't generate GTK thumbnails when we want metacity or icon
    (#462724)
  * No need for an expensive parse to initialize the colors
  * Reduce metacity thumbnail size to 128x128
  * Also load the "default" cursor theme so we know the
    available sizes (#462409)
  * Create the icon theme representative before the GTK stock
    button
  * Various small tweaks and optimizations
  * Add a shortcut to the user's special Pictures folder to
    the file chooser and default to it (#461093)
  * HIG capitalization fix for a checkbutton label
  * Use thumbnail factory to store and retrieve metatheme
    thumbs (#448968)
  * Remove check for old glib version that would result in
    bogus code
  * Only add a "Default Pointer" list item if there is no such
    GnomeThemeCursorInfo
  * Toggle sensitivity of the cursor scale labels (#463442)
  * Indent category contents, and other HIG spacing fixes
  * Fix check for available symbolic colors and make buttons
    for unsupported colors insensitive (#464081)
  * Make sure the color scheme has changed before writing
    to GConf and enabling the reset button
  * Reenable theme lockdown
  * Restrict drag'n'drop installation to the theme tab
  * Fix double-free and use-after-free
  * Make sure we have a selection before trying to get the
    data (#465431)
  * Don't leak the cursor font
  * Fix double-free and make the builtins non-static to save
    relocations (#467522)
  * Properly check all installed themes if necessary (Jens Granseuer)
  * Free the metacity theme after use (#469531)
  * Correct the item width and enable line wrapping for
    long theme names (#466405)
  * If no background image set, select "no wallpaper"
  * Simply set the upper bound of the DPI spin button to
    the maximum we consider acceptable (#469580)
  * Don't mark gtk-delete stock id for translation (#470532)
  * Always generate thumbnails asynchronously (#469849)
  + default applications:
  * Don't use '==' and improve portability with empty strings
  * Add browser and mail entries Iceape) (#467472)
  * Use the new -new-tab and -new-window arguments instead
    of -remote for Firefox tab and window commands (#393204)
  + keybindings:
  * Make the arrows and tabs unbindable without a modifier
    (#463433)
  + keyboard:
  * Disable "delete" button when no layout is selected
    (#466749)
  * Make "Add label" string translatable) (#470516)
  + settings daemon:
  * Use CTRL-ALT-DEL as default keybinding for 'Log out'
  * Use a list instead of a hash table to store the settings
    modules (#449118)
  * Raise the volume when unmuting
  * Show X keyboard settings warning dialog delayed, so that
    it runs properly centered and with decorations
  * Initialize XKB config early so that callback would not
    crash (#469192)
  + window:
  * Expose missing metacity double-click actions (#416541)
  + Updated translations
- Refresh control-center2-default-config.patch
- Remove control-center2-shell-desktop.patch.
* Wed Aug 22 2007 rodrigo@suse.de
- Patched gnomecc.desktop file to have the control center entry
  show up on the traditional menu bar (#260545)
* Thu Aug 16 2007 rodrigo@suse.de
- Fixed location of gnome-passwd.glade file (#296721)
* Wed Aug  8 2007 maw@suse.de
- Split off a -lang subpackage.
* Fri Aug  3 2007 jpr@suse.de
- Cleanup patches (#256090)
* Thu Aug  2 2007 maw@suse.de
- Update to version 2.19.6:
  + about-me:
  * Add a tooltip to the image button
  + appearance:
  * Add option to add wallpapers via the command line
  * Use new GTK+ convenience API for icon view tooltips
  * Bump all tooltips code to GTK 2.11.6
  * Improve color scheme matching
  * When reading current settings from gconf, get the color scheme from the
    GTK theme if necessary to allow matching against themes retrieved via
    gnome-theme-info
  * Implement saving of the cursor theme name in metathemes and add a
    'Default pointer' option to the cursor theme list
  * Simplify tooltip descriptions
  * Really unset the gconf key when reverting colors
  * Implement drag-and-drop theme installation
  * Remove workarounds for initialization problems in early versions of the
    capplet
  * Fix cell renderer state logic to not always be on
  * Use cairo to draw the cell renderer selection
  * Show readable_name in cursor theme list instead of name
  * Fix mnemonics and customize theme window title
  * Fix theme installation
  * Update icon cache when installing icon themes
  * Prevent some memory leaks
  * Add controls for applying suggested backgrounds and/or fonts from
    metathemes
  * Only show background/font suggestions if they haven't already been
    applied
  * Cope with unset gconf keys and group gconf notifications (Jens Granseuer)
  * Only create the custom theme entry when changes are made, and delete it
    when the theme is saved
  * Add %%F to the exec line so external programs like epiphany can set the
    background
  * Default to showing the background tab if wallpapers were given on the
    command line
  * Use our custom cell renderer for metathemes too, so the previews don't
    get shaded
  + default applications:
  * Change custom command entries to be insensitive instead of
    noneditable
  * Remove spurious desktop entries
  + keyboard:
  * Improved layout and sorting
  * Implement DND in the selected layouts list
  * Eliminate up/down buttons in the layout list
  + network:
  * Also use new icon in the window title bar
  + settings daemon:
  * Don't forget the Xft callback
  + themus:
  * Update to match theme callback signature
  + general:
  * Fix crash when no cursor is specified in theme
  * General cleanup and leak-plugging
  * Don't fail configuring if gstreamer is not available, simply skip the sound
    capplet
  * Remove spurous AT desktop entries (Jens Granseuer) (#444787)
  * Add support for custom theme names saved in metathemes (Denis Washington)
  * Re-add basic support for cursor themes for X servers without the Xcursor
    extension, like the one in Solaris
  * When applying a metatheme, check wether to set/unser color scheme gconf
    key
  * Fix notification of selection changed for GtkTreeView config support
  * Prevent cursor themes from being recognized as icon themes
  * Read a cursor themes's name from its index.theme file if it has one
  * Expand check for empty metatheme color scheme to include blank color scheme
    strings
  * Add tooltip foreground and background colors to the list of recognized
    symbolic colors
  + updated translations
- Remove control-center2-dont-update-mimedb.patch
- Use %%fdupes.
* Fri Jul 27 2007 jpr@suse.de
- Disable seamonkey patch to re-enable build
* Thu Jul 26 2007 jpr@suse.de
- Update version to 2.19.5 to get fix for (#293560)
- Many upstream bug fixes
  - Now uses icon theme for icons
  - Lots of changes to improve the settings daemon
- Translation updates
* Thu Jul 19 2007 gekker@suse.de
- Make sure that the new merged appearances capplet is visible
* Mon Jul  9 2007 maw@suse.de
- Update to version 2.19.4
- The source tarball is now called gnome-control-center-$version.tar.bz2;
  however, the package's name remains the same
- Concomitant with the tarball name change, a number of directories
  packaged have been renamed from control-center to
  gnome-control-center
- Remove the following upstreamed patches:
  * control-center2-217790-sanitize-dpi.diff
  * control-center2-compiz-keybindings.patch
  * control-center2-static-libslab.patch
  * control-center-control-key-events.patch
  * control-center-no-x-suse.patch
- Bug fixes, updated translations
- s#%%run_ldconfig#/sbin/ldconfig# in the %%post and %%postun
  sections.
* Wed Jun  6 2007 sbrabec@suse.cz
- Removed invalid desktop Category "Application" (#254654).
* Tue May 22 2007 sbrabec@suse.cz
- Removed X-SuSE tag from the upstream desktop file.
- Added MIME based default option for default applications FTP
  preferences (GNOME#426638#c13).
* Thu May 17 2007 rodrigo@suse.de
- Look for gnome-passwd.glade file in the correct dir (#272702)
* Mon May 14 2007 maw@suse.de
- Rename jhmfc.patch to control-center2-dont-update-mimedb.patch
* Thu Apr 12 2007 rodrigo@suse.de
- Added patch to use preferences.menu in control-center rather than
  gnomecc.menu.
* Tue Apr 10 2007 rodrigo@suse.de
- Added patch for building libslab statically.
- Patched schemas file to contain our default values.
* Thu Apr  5 2007 sbrabec@suse.cz
- Added "Use default web browser" option for default applications
  FTP preferences (#113104#c13).
* Mon Apr  2 2007 sbrabec@suse.cz
- Ported control-center-default-applications-ftp+news.patch
  (#113104#c11).
- Added seamonkey to default applications list.
* Fri Mar 30 2007 maw@suse.de
- Update to version 2.18.0
- b.g.o 344741 and 413468 (partially).
* Mon Mar 19 2007 sbrabec@suse.cz
- Fixed devel dependencies.
* Thu Mar 15 2007 maw@suse.de
- Update to version 2.17.91
- Refresh a number of patches.
- Bug fixes include bugzilla.gnome.org #402797, #358106, #380991,
  [#395383], #401004, #397905...
* Thu Mar  8 2007 sbrabec@suse.cz
- Removed obsolete hicolor icon symlinks (#248676).
* Thu Mar  1 2007 sbrabec@suse.cz
- Removed obsolete pangoxft patch (#249608).
* Wed Feb  7 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552).
* Tue Jan  9 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Fri Dec 22 2006 federico@novell.com
- Added control-center2-217790-sanitize-dpi.diff to fix the
  control-center2 part of
  https://bugzilla.novell.com/show_bug.cgi?id=217790.  Some X servers
  don't report the screen's physical dimensions correctly, so the DPI
  value is wrong.  This can lead to unusably huge or tiny fonts.  This
  patch constrains the X server's DPI value to something reasonable.
* Thu Nov 30 2006 sbrabec@suse.cz
- Fixed devel dependencies for older products.
* Sat Oct 14 2006 danw@suse.de
- Remove dead patches.
- Update and reenable control-center2-po-update.patch
* Fri Oct 13 2006 dreveman@suse.de
- Update compiz keybinding patch so it works with compiz 0.2.
* Fri Oct 13 2006 aj@suse.de
- Adjust BuildRequires for gnome-doc-utils.
* Mon Oct  2 2006 jhargadon@suse.de
- update to version 2.16.1
- display:
  - Never pass negative values for the rates
- keyboard:
  - Make sure 'model' is never NULL
- themus:
  - Fixed "Open" icon on button preview
  - Allow the text in the details to ellipsize and set a minimun width for
    the dialog
- translation updates
* Wed Sep 13 2006 jhargadon@suse.de
- update to versin 2.16.0
- avoid excess strduping
- avoid extra key events processing
- avoid grabbing all keyboard when the key code cannot be retrieved
- add missing maximize button
- translation updates
* Fri Sep  1 2006 gekker@suse.de
- Install dbus service file in correct location
* Wed Aug 30 2006 jhargadon@suse.de
- update to version 2.15.92
- fix "Background dialogue resizes when shown"
- fix issues with the themes previews
- free 'resolution' string after using it, not before
- fix memory leak
- patches from "generate visible previews first"
- translation updates
* Mon Aug 21 2006 jhargadon@suse.de
- update to version 2.15.91
- require libebook-1.2 1.7.90 for the new API
- use orca screenreader when available
- fixed X-GNOME-Bugzilla fields in .desktop file
- using Unicode subscript for repeating descriptions
- set "label for" and "labelled by" properties for the capplet
- only include libhal if HAL is enabled
- added support for locking down theme
- don't attempt to load window manager theme name from an unknown window
  manager
- use GtkAboutDialog, not GtkDialog
- use GtkStatusIcon instead of libegg
- translation updates
* Fri Aug  4 2006 sreeves@suse.de
- Mark an existing string in
  control-center2-soundupdate.patch for translation (185591)
* Thu Jun 29 2006 sbrabec@suse.cz
- Added two missing upstream translations (#185584#c27).
- Fixed Norwegian translation update (#185584#c29).
- Symlink password dialog icon to proper place (#185584#c29).
* Tue Jun 20 2006 sbrabec@suse.cz
- Fixed I18N bug in password dialog title (185584#c7).
* Fri Jun 16 2006 sreeves@suse.de
- Fix for 185591 - missing localization for sound entries.
* Fri Jun 16 2006 sbrabec@suse.cz
- Fixed missing strings in password dialog (#185584).
* Fri Jun  2 2006 hpj@suse.de
- Updated the search patch to fall back to gnome-search-tool if
  Beagle can't be found.
* Mon May 29 2006 hpj@suse.de
- Add patch to invoke Beagle on "search" keybinding. Fixes Novell
  bug #132801.
* Mon May 29 2006 sbrabec@suse.cz
- Added passwd capplet to POTFILES.in (#179459).
* Sun May 28 2006 danw@suse.de
- Add toggle maximize, horiz/vert maximize, and show desktop to
  control-center2-compiz-keybindings.patch (#178220)
* Tue May  9 2006 dobey@suse.de
- Add fixes for CRITICAL warnings from background-properties
  See bug https://bugzilla.novell.com/show_bug.cgi?id=83196
* Sun May  7 2006 danw@suse.de
- Add cube unfold binding to control-center2-compiz-keybindings.patch
* Tue May  2 2006 sbrabec@suse.cz
- Moved proxy settings from Hardware to System (#167466).
* Thu Apr 20 2006 danw@suse.de
- Add compiz keybindings to gnome-keybinding-properties. 163208
* Wed Apr 19 2006 sreeves@suse.de
- Fix for 148037 - mangled widgetry in sound capplet
* Thu Apr 13 2006 sbrabec@suse.cz
- Call %%suse_update_desktop_file for all desktop files.
- Added gnome-ui-properties to control-center (118960#c11).
- Use new control-center Categories instead of illegal old ones.
* Mon Apr  3 2006 jpr@suse.de
-  Add gst 0.10 support for gnome-settings-daemon
* Thu Mar 23 2006 rodrigo@suse.de
- Updated control-center2-multiple-displays.patch to use the correct
  DISPLAY for bonobo-activation, and fixed ultra-quick error dialog
  (#156801).
* Wed Mar 22 2006 federico@novell.com
- Updated control-center2-system-proxy-configuration.diff to fix bug
  [#158600].  Gnome-settings-daemon will now read the HTTPS_PROXY value
  from /etc/sysconfi/proxy and set it in the appropriate GConf keys.
* Mon Mar  6 2006 rodrigo@suse.de
- Added patch to support multiple concurrent sessions (fixes part
  of #150623).
* Thu Mar  2 2006 rodrigo@suse.de
- Don't spawn esd daemon, already done in libesound (part of
  [#153419])
* Sun Feb 19 2006 aj@suse.de
- Reduce BuildRequires.
* Fri Feb 17 2006 sreeves@suse.de
- Another Update .desktop file (Name, GenericName, Comment, DocPath)
* Fri Feb 17 2006 gekker@suse.de
- Fixup .desktop files for UI team
* Fri Feb 17 2006 sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Feb 15 2006 gekker@suse.de
- Fix font thumbnailing (b.g.o#329043)
* Mon Feb 13 2006 gekker@suse.de
- Remove dependency on e-d-s, not required since we don't ship
  the about me capplet, partial fix for (#148339)
* Wed Feb  1 2006 sbrabec@suse.cz
- Use translation compendium gnome-patch-translation.
* Tue Jan 31 2006 rodrigo@suse.de
- Use /etc/pam.d/common-* for PAM authentication (146699)
* Mon Jan 30 2006 sbrabec@suse.cz
- Implemented ftp:// and news:// to
  gnome-default-applications-properties (#113104).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 hpj@suse.de
- Updated the passwd-dialog patch to pass through messages from PAM.
  This is necessary for the PAM Winbind module, as it informs the
  user of password policies and more complex error situations.
* Thu Jan 12 2006 sreeves@suse.de
- Add X-Ximian-Settings to default-applications.desktop. Fix for Bug#141104
* Mon Dec 26 2005 federico@novell.com
- Added control-center2-system-proxy-configuration.diff.  This was
  included in SUSE Linux 9.3 for bug #71202.  This makes gnome-settings-daemon
  default to the YaST settings for the HTTP proxy if appropriate, propagating
  them to apps that use GConf to find these settings.
* Wed Nov 30 2005 gekker@suse.de
- Update to version 2.12.2
- Remove upstreamed patch
* Tue Nov 29 2005 gekker@suse.de
- Add default-config patch for logout shortcut (#130829).
* Wed Oct 12 2005 gekker@suse.de
- Update to version 2.12.1
* Thu Oct  6 2005 gekker@suse.de
- Remove previous change for now
- Fix DocPath in .desktop file
* Tue Oct  4 2005 gekker@suse.de
- Rename "Desktop Background" to "Display Settings"
* Wed Sep 21 2005 rodrigo@suse.de
- Fixed icon and category of desktop file for change-passwd
  capplet (fixes #117028).
* Mon Sep 19 2005 sbrabec@suse.cz
- Fixed PreReq.
- Fixed permissions in PLUS.
* Thu Sep 15 2005 clahey@suse.de
- s/Assistive Technology Support/Assistive Technology/
- Change window height to 550.
- Part of fix for #115299
* Sun Sep  4 2005 aj@suse.de
- Update to 2.12.0.
* Mon Aug 29 2005 rodrigo@suse.de
- Added control-center2-screensaver.patch (#113353)
- Enabled setuid change-passwd program (GNOME part of #104993)
* Mon Aug 22 2005 gekker@suse.de
- Update to 2.11.92
- Remove upstreamed theme-thumbnail patch
* Sun Aug 21 2005 ro@suse.de
- added pangoxft to liblist
* Thu Aug 18 2005 gekker@suse.de
- Fix theme-thumbnail
* Tue Aug 16 2005 rodrigo@suse.de
- Added gnome-passwd patch from SP2.
* Fri Aug 12 2005 sreeves@suse.de
- Update the sound capplet to match interface requested by Nat
  and Federico. Also removed patch1 after talking with Jody as
  he indicates it is not needed.
* Wed Aug 10 2005 rodrigo@suse.de
- Update to version 2.11.91
* Tue Aug  2 2005 gekker@suse.de
- Update to version 2.11.90
- Add scrollkeeper magic
* Fri Jul 29 2005 jpr@suse.de
- Depend on kereberos libs for building
* Mon Jul 25 2005 gekker@suse.de
- Update to 2.11.6
- Backout fix for (b.g.o309558) fixed bug in xorg-x11
* Mon Jul 18 2005 sbrabec@suse.cz
- Don't grab Control key events by Show pointer function.
  http://bugzilla.gnome.org/show_bug.cgi?id=125618
- Fixed devel dependencies.
- Removed unneeded static modules and .la files for modules.
* Fri Jun 17 2005 gekker@suse.de
- Update to version 2.11.4
* Wed Jun  1 2005 sbrabec@suse.cz
- Fixed devel requirements.
* Wed Apr 13 2005 sbrabec@suse.cz
- Do not build with -Werror.
- Added required NULL-pointer argument.
* Fri Mar 18 2005 sbrabec@suse.cz
- Changed Categories for gnome-ui-properties and
  default-applications to appear only in menu (#73047).
* Wed Mar 16 2005 sbrabec@suse.cz
- Added X-Ximian-Settings to gnome-ui-properties and
  default-applications (#73047, #73547).
* Wed Mar 16 2005 clahey@suse.de
- Changed category of desktop files so they'll still be in control
  center but won't be in More Programs menu.
- Installed icons in hicolor and installed icons for proxy and for
  directories.
* Tue Mar 15 2005 sbrabec@suse.cz
- Symlink desktop icon to standard location (#72818).
* Thu Mar 10 2005 gekker@suse.de
- Add new version of the system-proxy-configuration patch (71202).
* Wed Mar  9 2005 gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Mon Feb 28 2005 sbrabec@suse.cz
- Do not package mimeinfo.cache.
* Thu Feb 24 2005 sbrabec@suse.cz
- Removed gconf makefile-uninstall-rule (#33114).
* Fri Feb 18 2005 clahey@suse.de
- Add a desktop file for change password.
* Thu Feb 17 2005 gekker@suse.de
- add federico's system-proxy-configuration patch
* Thu Feb 10 2005 gekker@suse.de
- Update to version 2.9.91
* Fri Jan 28 2005 sbrabec@suse.cz
- Fixed directory ownership (require nautilus).
- Fixed libexecdir.
* Wed Jan 26 2005 jody@suse.de
- jump to 2.9.4
- drop all the partial updates from 2.6
* Wed Dec 15 2004 hvogel@suse.de
- fix desktop file
* Fri Oct 29 2004 ro@suse.de
- merged stuff from jody:
- Additional translations
- Some minor accessibility patches that are unreleased in the 2.6.x branch
* Fri Oct 29 2004 ro@suse.de
- locale rename: no -> nb
* Mon Oct  4 2004 sbrabec@suse.cz
- Updated directory files to show properly icons and translations
  (#46621).
* Mon Oct  4 2004 sbrabec@suse.cz
- Czech translation update (#46621).
* Thu Sep 16 2004 jody@suse.de
- fix help links for accessibility technologies and window capplet
  [#61587], #61588
* Thu Sep  9 2004 dobey@suse.de
- Pull in changes for the background capplet from CVS
* Tue Sep  7 2004 sbrabec@suse.cz
- Created shared mime info.
* Mon Sep  6 2004 shprasad@suse.de
- Not applying patch6 because it is taken care by gnome-audio.
* Mon Aug 30 2004 rml@suse.de
- add control-center-keybinding-workaround.patch (fix
  Ximian bug #59654)
* Fri Aug 13 2004 shprasad@suse.de
- Fixes bug#63036 (Fix given by sdharmaveer@novell.com)
  makes gnome login/logout sounds play at login/logout events.
- Fixes bug#63038 (Fix given by sdharmaveer@novell.com)
  overrides the default gnome login/logout sounds by novell
  login/logout sounds.
* Tue Aug 10 2004 dobey@suse.de
- Include %%prefix/share/gnome-background-properties
* Tue Jul  6 2004 jody@suse.de
- Restore missing sound and mouse capplets
* Fri Jun 25 2004 jody@suse.de
- Move the shell into a tarball to improve maintainability
- Fix crash when clicking on whitespace
* Thu Jun 24 2004 jody@suse.de
- remove keyboard layout (obsolete)
- change printer capplet and fix icon
- update shell
- backport a few fixes from head
* Thu Jun  3 2004 clahey@suse.de
- gnome-applets is a more proper replacement package than control-center2.
* Mon May  3 2004 clahey@suse.de
- Upgraded to 2.6.1.
- Added patch to change desktop files to contain the Category needed
  to show up with the new gnome-vfs2.
* Thu Apr 29 2004 clahey@suse.de
- Added patch to use new control center shell.
* Tue Apr  6 2004 sbrabec@suse.cz
- Provide alternative desktop file in Utility->Desktop for non-GNOME
  sessions, to make possible configuration of GNOME applications.
- Build with -fno-strict-aliasing.
* Sat Mar 20 2004 adrian@suse.de
- do not show gnome CC menu entry in KDE
* Fri Feb 20 2004 sbrabec@suse.cz
- Fixed names of GNOME2 packages.
* Thu Feb 12 2004 hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Tue Oct  7 2003 sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Sat Sep 13 2003 matz@suse.de
- Fix wrong declaration that leads to segfaults.
* Thu Aug  7 2003 sbrabec@suse.cz
- Not use globbing for schemas in %%files.
- Removed duplicated screensaveer desktop file.
* Wed Aug  6 2003 hhetter@suse.de
- remove prefix clash fix patch
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jun 25 2003 sbrabec@suse.cz
- Updated to version 2.2.2.
- Use %%find_lang.
* Sun Jun 22 2003 ro@suse.de
- package directories
* Thu May 15 2003 sbrabec@suse.cz
- Updated to version 2.2.1.
* Fri Feb 14 2003 hhetter@suse.de
- look in /opt/gnome2 for GTK Themes instead of
  the GTK prefix, to get metathemes to work
* Fri Feb  7 2003 hhetter@suse.de
- updated to version 2.2.0.1 [GNOME 2.2.0]
* Mon Feb  3 2003 ro@suse.de
- added startup-notification to neededforbuild
* Thu Jan 16 2003 sbrabec@suse.cz
- Updated to version 2.1.6.
- Added Czech description for screensaver.
- Use gnome2-devel-packages for neededforbuild.
- Updated %%files.
* Thu Nov 21 2002 schwab@suse.de
- Fix missing declarations [#21674].
* Tue Oct 22 2002 hhetter@suse.de
- updated to version 2.0.2.91
- remove wrong docdir
* Tue Oct  1 2002 sbrabec@suse.cz
- Updated to version 2.0.1.1.
- Move gnome-window-settings-2.0.pc to /usr/%%_lib/pkgconfig/.
- Updated %%files section.
* Tue Sep 24 2002 sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Thu Sep 19 2002 sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Tue Sep  3 2002 hhetter@suse.de
- provide option to start xscreensaver-demo from control-center
  ( Bug Id #18789)
* Tue Aug 20 2002 hhetter@suse.de
- added prereq: filesystem
* Sat Jul 27 2002 adrian@suse.de
- add %%run_ldconfig
* Thu Jun 20 2002 hhetter@suse.de
- don't install schemas while make install
* Tue Jun 18 2002 meissner@suse.de
- use libdir for lib64
* Tue Jun 18 2002 hhetter@suse.de
- updated to version 2.0.0
- added missing schema file
* Fri Jun 14 2002 hhetter@suse.de
- supply schema files
* Wed Jun 12 2002 hhetter@suse.de
- added control-center gconf schemas and
  glade xml files to filelist
* Wed Jun  5 2002 hhetter@suse.de
- updated to version 1.99.10
* Fri Apr 26 2002 ro@suse.de
- replaced gnome-core2 by gnome-desktop in neededforbuild
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 24 2002 hhetter@suse.de
- initial SuSE package for GNOME 2.0 platform
